#!/bin/sh

# Copyright 2009, Ali Taslimi, Seyed Mohammad Javad Mirhejazi
# Xifoid - Robocup 2D Soccer Simulation Team
# All rights reserved.

echo " ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ "
echo " |  Team Name        :    Xifoid                                 | "
echo " |  Leader Name      :    Ali Taslimi                            | "
echo " |  Member Name      :    Seyed Mohammad Javad Mirhejazi         | "
echo " |  Last Revision    :    02/10/2009                             | "
echo " |                                                               | "
echo " |  Copyright 2009, Ali Taslimi, Seyed Mohammad Javad Mirhejazi  | "
echo " |  Xifoid - Robocup 2D Soccer Simulation Team                   | "
echo " |  All rights reserved.                                         | "
echo " ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ "

#=============================================================#
# Xifoid --------------- Set Variables --------------- Xifoid #
#=============================================================#

HOST="localhost"			# Host Name
TEAM_NAME="Xifoid"			# Team Name

DIR="/home/xifoid"			# Main Directory
FORMATIONS="${DIR}/formations-dt"	# Formation Directory

PLAYER="${DIR}/Xifoid_player"		# Xifoid Player
COACH="${DIR}/Xifoid_coach"		# Xifoid Coach

LOGO="${DIR}/xifoid_logo.xpm"		# Xifoid Logo
GRAPHIC="--use_team_graphic on --team_graphic_file $LOGO"	# Xifoid Graphic

PLAYER_CONF="${DIR}/player.conf"	# Player Configuration
COACH_CONF="${DIR}/coach.conf"		# Coach Configuration

P_SLEEP=0.5				# Players Sleep Time
C_SLEEP=1				# Coach Sleep Time

PLAYER_COUNTER=2			# Counter

#==============================================================#
# Xifoid --------------- Set Parameters --------------- Xifoid #
#==============================================================#

G_PARAM="--player-config $PLAYER_CONF --config_dir $FORMATIONS -h $HOST -t $TEAM_NAME -g"	# Goalie Parameters
P_PARAM="--player-config $PLAYER_CONF --config_dir $FORMATIONS -h $HOST -t $TEAM_NAME"		# NonGoalie Players Parameters
C_PARAM="--coach-config $COACH_CONF -h $HOST -t $TEAM_NAME $GRAPHIC"				# Coach Parameters

#============================================================#
# Xifoid --------------- Run Programs --------------- Xifoid #
#============================================================#

# Starting The Goalie
$PLAYER $G_PARAM &
echo ">>----->>----->>----->>----->> $TEAM_NAME Goalie is on the field now"
sleep ${P_SLEEP}

while [ $PLAYER_COUNTER -le 6 ] ; do
	# Starting The Non Goalie Players
	$PLAYER $P_PARAM &
	echo ">>----->>----->>----->>----->> $TEAM_NAME Player $PLAYER_COUNTER is on the field now"
	sleep ${P_SLEEP}
	PLAYER_COUNTER=`expr $PLAYER_COUNTER + 1`
done

# Starting The Coach
$COACH $C_PARAM &
echo ">>----->>----->>----->>----->> $TEAM_NAME Coach is on the field now"
sleep ${C_SLEEP}

